﻿@font-face {
    font-family: 'YekanNumber';
    src: url('../Fonts/YekanNumber.ttf') format('truetype');
}

@font-face {
    font-family: 'OpenSans';
    src: url('../Fonts/OpenSans.ttf') format('truetype');
}

@font-face {
    font-family: 'IranSans';
    src: url('../Fonts/IRANSans.ttf') format('truetype');
}


:root[data-theme="day"] {
    --primary: #007bff;
    --primary-soft: #e7f1ff;
    --accent: #ff6a00;
    --accent-soft: #ffe6d1;
    --bg-main: #f3f6fb;
    --bg-card: #ffffff;
    --bg-sidebar: #f5f7fc;
    --text-main: #1f2933;
    --text-muted: #6b7280;
    --border-soft: #e1e5ee;
}

:root[data-theme="night"] {
    --primary: #4ea3ff;
    --primary-soft: #1f2937;
    --accent: #ff9550;
    --accent-soft: #3b2a1f;
    --bg-main: #111827;
    --bg-card: #1f2933;
    --bg-sidebar: #0f172a;
    --text-main: #e5e7eb;
    --text-muted: #9ca3af;
    --border-soft: #374151;
}
/* پس‌زمینه بدنه */
html, body {
    height: 100%;
}

body {
    direction: rtl;
    margin: 0;
    font-family: "IranSans","YekanNumber", sans-serif !important;
    background-color: var(--bg-main) !important;
    color: var(--text-main);
}


.hide {
    display: none;
}
